export interface SharedPlanModeratorProps {
    id: string;
    firstName?: string;
    lastName?: string;
    email?: string;
}
export interface SharedPlanModeratorPrimitiveProps extends SharedPlanModeratorProps {
}
export declare class SharedPlanModerator {
    private readonly props;
    constructor(props: SharedPlanModeratorProps);
    get id(): string;
    get firstName(): string | undefined;
    get lastName(): string | undefined;
    get email(): string | undefined;
    toPrimitives(): SharedPlanModeratorPrimitiveProps;
}
